package com.zcloud.fire.check.domain.gateway;

import com.zcloud.fire.check.domain.model.FireCheckRecordDeviceE;
import com.zcloud.fire.check.domain.model.FireCheckRecordHiddenE;
import com.zcloud.gbscommon.zcloudhidden.request.HiddenAddCmd;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:11:15
 */
public interface FireCheckRecordHiddenGateway {

    /**
     * 新增
     */
    Boolean add(FireCheckRecordHiddenE fireCheckRecordHiddenE);

    /**
     * 修改
     */
    Boolean update(FireCheckRecordHiddenE fireCheckRecordHiddenE);

    /**
     * 删除
     */
    Boolean deletedFireCheckRecordHiddenById(Long id);

    Boolean deletedFireCheckRecordHiddenByIds(Long[] id);

    void addHidden(FireCheckRecordDeviceE fireCheckRecordDeviceE, HiddenAddCmd hiddenAddCmd);

    void updateHidden(FireCheckRecordHiddenE fireCheckRecordHiddenE, HiddenAddCmd hiddenAddCmd);

    void addOtherHidden(FireCheckRecordHiddenE fireCheckRecordHiddenE, HiddenAddCmd hiddenAddCmd);
}

